APT-SORTPKGS(1)

NOM
apt-sortpkgs - Un outil pour trier les index de paquets.

SYNOPSIS
apt-sortpkgs [ -hvs ] [ -o=option de configuration ] [ -c=fichier ] fichier ...

DESCRIPTION

apt-sortpkgs prend un index (un index de Source ou un index de paquet) et trie leurs enregistrements selon le nom de paquet. Un tri des champs de chaque enregistrement est réalisé selon des règles internes.

Le résultat est envoyé sur la sortie standard ; l'entrée doit être un fichier analysable.

OPTIONS

Toutes les options en ligne de commande peuvent être positionnées via le fichier de configuration ; les descriptifs indiquent l'option de configuration à positionner. En ce qui concerne les options booléennes, on peut annuler le fichier de configuration en utilisant quelque chose comme -f-,--no-f, -f=no ou d'autres variantes.

-s

--source
    Se servir d'un index de sources pour le tri des champs. Élément de configuration : APT::SortPkgs::Source.

-h

--help
    Affiche un mode d'emploi succinct.

-v

--version
    Affiche la version du programme.

-c

--config-file
    Fichier de configuration ; indique quel fichier de configuration utiliser. Le programme lit le fichier de configuration par défaut, puis celui-ci. Voyez apt.conf(5) pour la syntaxe.

-o

--option
    Donne une option de configuration ; cela fixe une option de configuration arbitraire. La syntaxe est : -o Foo::Bar=bar.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-sortpkgs retourne zéro si tout se passe bien ou 100 en cas d'erreur.

BOGUES

Voyez la page concernant les bogues de APT <URL:http://bugs.debian.org/src:apt>. Si vous voulez rapporter un bogue, consultez le texte /usr/share/doc/debian/bug-reporting.txt ou utilisez la commande reportbug(1) .

AUTEUR

APT a été écrit par l'équipe APT <apt@packages.debian.org>.

TRADUCTION

Philippe Batailler. <debian-l10n-french@lists.debian.org>. 2004.